<!DOCTYPE html>
<html lang="pt-br">
<head>
	<meta charset="UTF-8"/>
	<title>Comandos_git</title>
	<link href="../css/meuStilo.css" rel="stylesheet" type="text/css" />
</head>
<body>
<img src="https://git-scm.com/images/logos/2color-lightbg@2x.png">
<div id="interface">
	<hgroup>
<h1><ins>Comandos de transição GitLab</ins></h1>
	</hgroup>
<br>GIT INIT - INICIALIZA A PASTA COMO UM REPOSITORIO<br> 
EX.: Digite na raiz GIT INIT e aperta enter -> <ins>git init</ins><br>

<br>GIT REMOTE ADD ORIGIN (CAMINHO DA SUA PASTA REMOTO) - VINCULA A SUA PASTA LOCAL COM A PASTA REMOTA<br> 
EX.: Digite na raiz REMOTE ADD ORIGIN HTTPS://GITLAB.COM/ALUNO/SUAPASTA.GIT e aperta enter -> <ins>git remote add origin</ins><br>

<br>GIT ADD . - ADICIONA OS ARQUIVOS NA LISTA DE ENVIO PARA O REPOSITORIO REMOTO<br> 
EX.: Digite na raiz GIT ADD . e aperta enter -> <ins>git add .</ins><br>

<br>GIT COMMIT -M 'MENSAGEM QUALQUER' - VERIFICA ATUALIZAÇÕES E CONFIRMA OS ARQUIVOS DE ENVIO<br> 
EX.: Digite na raiz GIT COMMIT -M 'PROJETOALUNO' e aperta enter -> <ins>git commit -m 'teste'</ins><br>

<br>GIT PUSH -U ORIGIN MASTER - ENVIA OS ARQUIVOS PARA O REPOSITORIO REMOTO<br> 
EX.: Digite na raiz GIT PUSH -U ORIGIN MASTER e aperta enter, vai pedir seu usuario e senha para confirmação -> <ins>git push -u origin master</ins><br>

<h1><ins>Outros comandos de transição GitLab</ins></h1>

<br>GIT CLONE (CAMINHO DA SUA PASTA REMOTO) - BAIXA A PASTA DO SEU REPOSITORIO REMOTO PARA SUA MAQUINA<br> 
EX.: Digite na raiz GIT CLONE HTTPS://GITLAB.COM/ALUNO/SUAPASTA.GIT e aperta enter -> <ins>git clone</ins><br>

<br>GIT PULL ORIGIN MASTER - BAIXA UMA VERSAO MAIS ATUALIZADA DO SEU REPOSITORIO REMOTO PARA SUA MAQUINA<br> 
EX.: Digite na raiz GIT PULL ORIGIN MASTER e aperta enter -> <ins>git pull origin master</ins><br>

<br>GIT REMOTE -V - MOSTRA (LISTA) AS ORIGIN DO REPOSITORIO REMOTO QUE ACESSOU<br> 
EX.: Digite na raiz GIT REMOTE -V e aperta enter -> <ins>git remote -v</ins><br>

<h1><ins>Comandos GitLab</ins></h1>

<br>PROCESSO DE CLONAGEM -<br> 
PRIMEIRO ABRA SUA PAGINA GITLAB, ESCOLHA O REPOSITORIO QUE DESEJA CLONAR, EM SEGUIDA CLIQUE NA ABA 'CLONE' E COPIE O LINK 'CLONE WITH HTTPS' 
SEGUNDO Entre no seu terminal escolha uma pasta ou crie uma pasta nova para receber esse respositorio de clonagem agora digite na raiz GIT CLONE + o link que copiou do repositorio e aperta enter<br>

<br>PROCESSO DE ALTERAÇÃO DO REPOSITORIO -<br> 
APÓS FEITO A CLONAGEM DO SEU REPOSITORIO REMOTO SE PODE FAZER A MODIFICAÇÃO DESEJADA E LOGO DEPOIS ENVIAR NOVAMENTE PARA O SERVIDOR REMOTO, ASSIM SEU REPOSITORIO FICA ATUALIZADO. NO MESMO TERMINAL QUE ESTA, VAMOS USAR OS SEGUINTES COMANDOS, ADD, COMMIT E PUSH.<br>

<br>PRIMEIRO PASSO -<br> 
DIGITE O COMANDO ADD . -> <ins>git add .</ins><br>

<br>SEGUNDO PASSO -<br> 
DIGITE O COMANDO COMMIT -> <ins>git commit -m 'atualizado'</ins><br>

<br>TERCEIRO PASSO -<br> 
DIGITE O PUSH -> <ins>git push -u origin master</ins><br>
</b>
</div>
<br><a href="comandosbash.html">Ir para pagina comandos BASH</a> <br>

<a href="../index.html">Home</a><br/>

<a href="https://www.mercadolivre.com.br/">Site MercadoLivre</a><br/>

<a href="../livros/progit.pdf" download="progit.pdf">Baixar Livro Pro-git</a>
</body>
</html>